﻿<%@ Page Language="VB" MasterPageFile="~/Site.master" EnableViewState="false" AutoEventWireup="false" CodeFile="RSSReader_VB.aspx.vb" Inherits="RSSReader_VB" title="Untitled Page" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">

     <div class="feed">
    
        RSS Feed:
            
        <asp:DropDownList ID="FeedList" 
                          DataValueField="Url"
                          DataTextField="Name"
                          runat="server"/>
                
        <asp:Button ID="ReadBtn" runat="server" Text="Read" />
        
    </div>
    
    <br />
        
    <asp:ListView ID="ListView1" runat="server">
    
        <LayoutTemplate>
        
            <table class="gridview">
            
                <th>Published</th>
                <th>Article</th>
                <th>Comments</th>
                <th>Tags</th>
                
                <tbody>
                    <asp:PlaceHolder ID="itemContainer" runat="server" />
                </tbody>
            
            </table>
        
        </LayoutTemplate>
        
        <ItemTemplate>
            <tr>
                <td><%#Eval("Published", "{0:d}") %></td>
                <td>
                    <a href='<%#Eval("Url")%>'><%#Eval("Title") %></a>
                </td>
                <td>
                    <%#Eval("NumComments") %>
                </td>
                <td>
                    <asp:Repeater ID="Repeater1" DataSource='<%#Eval("Tags") %>' runat="server">
                        <ItemTemplate> <%#Container.DataItem %> </ItemTemplate>
                        <SeparatorTemplate>,</SeparatorTemplate>
                    </asp:Repeater>
                </td>
            </tr>
        
        </ItemTemplate>
        
    </asp:ListView>

</asp:Content>

